Class ActionCommand
java.lang.Object
com.iohao.net.framework.core.ActionCommand
ActionCommand command object, also known as action.
When the business framework handles business processes, that is, during the processing phase,
it can obtain various desired information through the action.
- Author:
- 渔民小镇
- date:
- 2021-12-12
-
Nested Class Summary
Nested Classes -
Field Summary
FieldsModifier and TypeFieldDescriptionfinal ActionCommandDocfinal ObjectA single controller objectfinal Class<?> The class where the method is locatedfinal ActionMethodParameter[]The array of method parameter informationfinal ActionMethodReturnThe return typefinal ActionParameterPositionfinal CmdInfobooleantrue means it's managed by a container like Springfinal MethodThe method objectfinal MethodHandle -
Method Summary
Modifier and TypeMethodDescriptionbuilder()booleancontainAnnotation(Class<? extends Annotation> annotationClass) Whether the action method contains the relevant annotation.Get the name of the action method.<T extends Annotation>
TgetAnnotation(Class<T> annotationClass) Get the relevant annotation for the action method.booleanCheck if this action method has a data parameter (request body).
-
Field Details
-
cmdInfo
-
actionController
A single controller object -
actionControllerClass
The class where the method is located -
method
The method object -
actionMethodParameters
The array of method parameter information -
actionMethodReturn
The return type -
actionCommandDoc
-
actionParameterPosition
-
methodHandle
-
dataParameter
-
deliveryContainer
public boolean deliveryContainertrue means it's managed by a container like Spring
-
-
Method Details
-
hasDataParameter
public boolean hasDataParameter()Check if this action method has a data parameter (request body).- Returns:
trueif a data parameter is present
-
getActionMethodName
-
containAnnotation
Whether the action method contains the relevant annotation.- Parameters:
annotationClass- The relevant annotation- Returns:
- true if it does
- Since:
- 21.10
-
getAnnotation
Get the relevant annotation for the action method.- Type Parameters:
T- t- Parameters:
annotationClass- The relevant annotation- Returns:
- The relevant annotation
- Since:
- 21.10
-
builder
-